Bug 250925 - [RFE] Package Felix programming language (ocaml)
[RFE] Package Felix programming language (ocaml)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ocaml (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
http://felix.sourceforge.net
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-05 07:51 EDT by John Skaller
Modified: 2014-12-01 07:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-01 07:33:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of ./configure (44.62 KB, text/plain)
2007-11-08 10:43 EST, Richard W.M. Jones
no flags Details
output of make (93.63 KB, text/plain)
2007-11-08 10:43 EST, Richard W.M. Jones
no flags Details
Output of ./configure (45.16 KB, text/plain)
2007-11-09 06:54 EST, Richard W.M. Jones
no flags Details
Output of make (124.43 KB, text/plain)
2007-11-09 06:55 EST, Richard W.M. Jones
no flags Details
Output of ./configure (82.38 KB, text/plain)
2008-04-04 10:30 EDT, Richard W.M. Jones
no flags Details
Output of make (56.38 KB, text/plain)
2008-04-04 10:30 EDT, Richard W.M. Jones
no flags Details

  None (edit)
Description John Skaller 2007-08-05 07:51:17 EDT
Request to Package Felix Programming Language
Comment 1 Richard W.M. Jones 2007-08-06 07:04:15 EDT
Changed the subject line to include some description and the magic word
'ocaml' so it appears in my OCaml to-do list search.
Comment 2 Richard W.M. Jones 2007-11-08 10:43:16 EST
Created attachment 251631 [details]
output of ./configure

I get errors during the configure stage, although they don't appear to be
fatal.
Comment 3 Richard W.M. Jones 2007-11-08 10:43:55 EST
Created attachment 251641 [details]
output of make

And more seriously I get a failure of 'make'.  The full log from
the make command is attached.
Comment 4 Richard W.M. Jones 2007-11-08 10:45:10 EST
Other details:

* Felix 1.1.4_x1
* OCaml 3.10.0
* Python 2.5.1
* GCC 4.1.2

Fedora 8
Comment 5 Richard W.M. Jones 2007-11-09 06:54:41 EST
Created attachment 252651 [details]
Output of ./configure
Comment 6 Richard W.M. Jones 2007-11-09 06:55:12 EST
Created attachment 252661 [details]
Output of make

Output of make from a freshly unpacked tarball.
Comment 7 Bug Zapper 2008-04-04 09:33:10 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Richard W.M. Jones 2008-04-04 09:51:14 EDT
Keeping this bug open, although I'm likely to close it unless
upstream become responsive.
Comment 9 John Skaller 2008-04-04 10:08:09 EDT
(In reply to comment #8)
> Keeping this bug open, although I'm likely to close it unless
> upstream become responsive.

Pls try building with SVN version. If that succeeds we'll release an 
image as a tarball, otherwise we'll fix it. Bugs in tarballs cannot be
fixed (we ONLY work on the svn head due to lack of resources).

The build system has been changed radically since the RTP was issued.
Comment 10 Richard W.M. Jones 2008-04-04 10:28:21 EDT
SVN version doesn't really get anywhere in the make.  Output
of configure and make will be attached shortly ...
Comment 11 Richard W.M. Jones 2008-04-04 10:30:23 EDT
Created attachment 300440 [details]
Output of ./configure
Comment 12 Richard W.M. Jones 2008-04-04 10:30:57 EDT
Created attachment 300441 [details]
Output of make
Comment 13 Richard W.M. Jones 2008-05-03 04:02:51 EDT
'mike@miketc.com' can you not change the status of this bug without
providing the requested info.
Comment 14 Bug Zapper 2008-05-13 23:06:46 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Richard W.M. Jones 2008-05-14 16:51:20 EDT
Hmmmm why am I not getting CC'd on these?  Anyway, pushed back to Rawhide.
Comment 16 Bug Zapper 2008-11-25 20:58:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-11-18 07:21:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Adam Williamson 2010-03-04 16:56:56 EST
bugs with [RFE] in their description are exempted from the periodic re-assignment from 'Rawhide' to the latest release, so if you don't this kind of a 'request' bug to get changed from rawhide, put [RFE] in there :)
Comment 19 Fedora Admin XMLRPC Client 2010-11-16 13:27:51 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 20 John Skaller 2014-12-01 07:33:17 EST
stop sending archaic requests

Note You need to log in before you can comment on or make changes to this bug.